Home

Dynamic Paint
Closed, ArchivedPublic

Description
Dynamic Paint is a new Blender feature I've been developing.

It allows painting animated textures with other objects and particles. Basically it enables a whole new way for Blender objects to interact.

Currently Dynamic Paint is able to generate paint/color textures, wetmaps, and displacement maps. Output is saved as an image sequence, and thus can be used to create any kind of visual output.


This patch is tested by community and should be very stable. At least I haven't experienced any crashes with it.

Hopefully some of you can review this before 2.5x feature freeze is over, so I can fix possible errors in time. :)



Some links to check out for more information and videos:

My blog: http://www.miikahweb.com/en/blog/tag/Dynamic%20Paint
BlenderNation post: http://www.blendernation.com/2010/08/04/lets-paint/

Basics tutorial: http://www.miikahweb.com/en/tutorials/blender-meshpaint-basics
Advanced guide: http://www.miikahweb.com/en/tutorials/dynamic-paint-guide

Dynamic Paint changelog: http://www.miikahweb.com/other/dynamicpaint_changelog.txt
miikah (Miika Hamalainen) added a comment.Via Old WorldFeb 6 2011, 1:04 PM
Updated patch to version 1.18b.

Changes:

* Fixed SVN compatibility.
* Fixed CMake compile errors.
* Fixed errors when blenderplayer enabled.
irie (Shinsuke Irie) added a comment.Via Old WorldFeb 15 2011, 2:20 PM
Doesn't work. r34842

The panel doesn't appear even if I enable DynamicPaint.
miikah (Miika Hamalainen) added a comment.Via Old WorldFeb 15 2011, 3:09 PM
Posted a new version 1.18c that is again compatible with svn.
miikah (Miika Hamalainen) added a comment.Via Old WorldFeb 18 2011, 7:20 PM
Yet another svn fix.
bat3a (Yousef Harfoush) added a comment.Via Old WorldNov 5 2011, 8:43 AM
updated to r41542 under file named:
dynamicpaint_r41542.patch
miikah (Miika Hamalainen) added a comment.Via Old WorldNov 5 2011, 9:02 AM
Hi, you really shouldn't use this old version anymore.

New development of Dynamic Paint is happening at the "soc-2011-carrot" branch: https://svn.blender.org/svnroot/bf-blender/branches/soc-2011-carrot/
The new version will hopefully be merged in trunk soon, and any save files made with this old version are incompatible with it.

I'm closing this patch item now to avoid further confusion.
miikah (Miika Hamalainen) closed this task as "Archived".Via Old WorldNov 5 2011, 9:02 AM

Add Comment